Update project settings
PATCH
Changes the project's slug, default branch, default auto-sleep and other settings. Every field is optional.
apiKeyheader
AuthorizationBearer <hmk_…>An API key from the dashboard or homemade api-key create.
projectId*stringapplication/json- body
bootTimeoutSeconds?|nulldefaultBranch?stringLength
1 <= length <= 250defaultSleepAfterMinutes?|nullicon?|nulliconColor?|nullkeepServicesRunning?booleanlinearTriggerLabel?|nullprPreviewsEnabled?booleanrootDirectory?|nullslug?stringMatch
^[a-z0-9]+(?:-[a-z0-9]+)*$Length
2 <= length <= 50wakeOnVisit?booleanThe updated project.
application/json- response
project*A project: one repository (or starter) that VMs boot from.
curl -X PATCH 'https://api.homemade.dev/api/projects/string/settings' \ -H 'Content-Type: application/json' \ -d '{}'Example Response
{ "project": { "createdAt": "2019-08-24T14:15:22Z", "defaultBranch": "string", "githubRepoFullName": "string", "id": "string", "name": "string", "orgId": "string", "rootDirectory": "string", "slug": "string", "status": "string", "property1": null, "property2": null }}